> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations landing pages analyticsacquisition



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition:
    get:
      tags:
        - Landing page analytics
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: pageId
          in: path
        - schema:
            type: string
            enum:
              - today
              - yesterday
              - 7d
              - 30d
              - 90d
              - all
              - custom
            default: 30d
          required: false
          name: range
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: from
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: to
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmSource
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmMedium
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmCampaign
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmTerm
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmContent
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: referrer
          in: query
        - schema:
            type: string
            enum:
              - mobile
              - tablet
              - desktop
          required: false
          name: deviceType
          in: query
        - schema:
            type: string
            enum:
              - chrome
              - firefox
              - safari
              - edge
              - opera
              - samsung
              - other
          required: false
          name: browser
          in: query
        - schema:
            type: string
            enum:
              - ios
              - android
              - macos
              - windows
              - linux
              - other
          required: false
          name: os
          in: query
        - schema:
            anyOf:
              - type: string
                pattern: ^[A-Z]{2}$
              - type: string
                enum:
                  - (unbekannt)
          required: false
          name: country
          in: query
      responses:
        '200':
          description: >-
            Where visits come from: referrers, UTM dimensions, countries,
            devices, browsers, operating systems and activity hours
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LandingPageAnalyticsAcquisition'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    LandingPageAnalyticsAcquisition:
      type: object
      properties:
        referrers:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        utmSources:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        utmMediums:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        utmCampaigns:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        utmTerms:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        utmContents:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        countries:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        devices:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        browsers:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        oses:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              total:
                type: number
            required:
              - value
              - total
        hours:
          type: array
          items:
            type: object
            properties:
              weekday:
                type: number
              hour:
                type: number
              visits:
                type: number
            required:
              - weekday
              - hour
              - visits
      required:
        - referrers
        - utmSources
        - utmMediums
        - utmCampaigns
        - utmTerms
        - utmContents
        - countries
        - devices
        - browsers
        - oses
        - hours
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.